LibreOffice: XSmartTagRecognizer Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
XSmartTagRecognizer Interface Reference

provides access to a smart tag recognizer. More...

Inheritance diagram for XSmartTagRecognizer:

## Public Member Functions
string | getName ([in] ::com::sun::star::lang::Locale aLocale)
| obtains a name that describes this recognizer component.
string | getDescription ([in] ::com::sun::star::lang::Locale aLocale)
| obtains a detailed description of this recognizer component.
string | getSmartTagName ([in] long nSmartTagIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the name of one specific smart tag type supported by this recognizer component.
string | getSmartTagDownloadURL ([in] long nSmartTagIndex) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| obtains the URL that can be used to download new or updated recognizers.
void | recognize ([in] string aText, [in] long nStart, [in] long nLength, [in] SmartTagRecognizerMode eDataType, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::text::XTextMarkup xTextMarkup, [in] string aApplicationName, [in] com::sun::star::frame::XController xController, [in] com::sun::star::i18n::XBreakIterator xTokenizer)
| recognizes smart tags.
boolean | hasPropertyPage ([in] long nSmartTagIndex, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| indicates whether there is a property page for a smart tag type.
void | displayPropertyPage ([in] long nSmartTagIndex, [in] ::com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IndexOutOfBoundsException )
| launches the property page for a smart tag type.
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Public Attributes
long | SmartTagCount
| The number of smart tag types supported by this recognizer component.

## Detailed Description

provides access to a smart tag recognizer.

Since
  OOo 2.3

## Member Function Documentation

## ◆ displayPropertyPage()

void displayPropertyPage | ( | [in] long | nSmartTagIndex,
|  | [in] ::com::sun::star::lang::Locale | aLocale
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

launches the property page for a smart tag type.

Parameters

  nSmartTagIndex | Index of the wanted smart tag type. Value needs to be between 0 and the number of smarttags available (exclusively).
  aLocale | Is used for localization of the property page.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nSmartTagIndex is greater than SmartTagCount

## ◆ getDescription()

string getDescription | ( | [in] ::com::sun::star::lang::Locale | aLocale | ) |

obtains a detailed description of this recognizer component.

Parameters

  aLocale | Is used for localization of the description.

Returns
  the description of the recognizer component.

## ◆ getName()

string getName | ( | [in] ::com::sun::star::lang::Locale | aLocale | ) |

obtains a name that describes this recognizer component.

Parameters

  aLocale | Is used for localization of the name.

Returns
  the name of the recognizer component.

## ◆ getSmartTagDownloadURL()

string getSmartTagDownloadURL | ( | [in] long | nSmartTagIndex | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

obtains the URL that can be used to download new or updated recognizers.

Parameters

  nSmartTagIndex | Index of the wanted smart tag type. Value needs to be between 0 and the number of smarttags available (exclusively).

Returns
  the download URL.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nSmartTagIndex is greater than SmartTagCount

## ◆ getSmartTagName()

string getSmartTagName | ( | [in] long | nSmartTagIndex | ) |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

obtains the name of one specific smart tag type supported by this recognizer component.

Parameters

  nSmartTagIndex | Index of the wanted smart tag type. Value needs to be between 0 and the number of smarttags available (exclusively).

Returns
  the unique name of the smart tag type. Smart tag type names are always in the format of namespaceURI::tagname.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nSmartTagIndex is greater than SmartTagCount

## ◆ hasPropertyPage()

boolean hasPropertyPage | ( | [in] long | nSmartTagIndex,
|  | [in] ::com::sun::star::lang::Locale | aLocale
| ) |  |
raises | ( | com::sun::star::lang::IndexOutOfBoundsException
| ) |  |

indicates whether there is a property page for a smart tag type.

Parameters

  nSmartTagIndex | Index of the wanted smart tag type. Value needs to be between 0 and the number of smarttags available (exclusively).
  aLocale | Is used for localization of the property page.

Returns
  true if there is a property page matching the requested smart tag type and locale.

Exceptions

  com::sun::star::lang::IndexOutOfBoundsException | if nSmartTagIndex is greater than SmartTagCount

## ◆ recognize()

void recognize | ( | [in] string | aText,
|  | [in] long | nStart,
|  | [in] long | nLength,
|  | [in] SmartTagRecognizerMode | eDataType,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] com::sun::star::text::XTextMarkup | xTextMarkup,
|  | [in] string | aApplicationName,
|  | [in] com::sun::star::frame::XController | xController,
|  | [in] com::sun::star::i18n::XBreakIterator | xTokenizer
| ) |  |

recognizes smart tags.

Parameters

  aText | The text that should be scanned by the recognizer. aText is UTF-16 encoded.
  nStart | Denotes the start position of the region to scan.
  nLength | Denotes the length of the text to scan.
  eDataType | This value indicates the type of the passed text.
  aLocale | Is used to indicate the language of the passed text.
  xTextMarkup | This object is used to submit any recognized smart tags to the calling application.
  aApplicationName | A string containing the name of the calling application.
  xController | The current controller of the document.
  xTokenizer | This can be used to tokenize the string to recognize.

## Member Data Documentation

## ◆ SmartTagCount

long SmartTagCount
| attributereadonly

The number of smart tag types supported by this recognizer component.

The documentation for this interface was generated from the following file:

- com/sun/star/smarttags/XSmartTagRecognizer.idl